package com.zjrs.appcomm.validation;

import jakarta.validation.Constraint;
import java.lang.annotation.*;

/**
 * @author Pettyfer
 */
@Constraint(validatedBy = ChineseValidator.class)
@Documented
@Target({ElementType.PARAMETER,ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
public @interface Chinese {

    String message() default "只允许输入中文";
    Class[] groups() default {};
    Class[] payload() default {};

}
